%define upstream_name    Search-Sitemap
%define upstream_version 2.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Perl extension for managing Search Engine Sitemaps 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Wx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Trigger)
BuildRequires: perl(DateTime)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Zlib)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Module::Find)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::ClassAttribute)
BuildRequires: perl(MooseX::Types)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(MooseX::Types::URI)
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::Mock::LWP::UserAgent)
BuildRequires: perl(Test::Most)
BuildRequires: perl(XML::Parser)
BuildRequires: perl(XML::Twig)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(ok)
BuildRequires: perl(Test::use::ok)
BuildRequires: perl(MooseX::Types::URI)
BuildRequires: perl(Test::Mock::LWP)
BuildArch:  noarch

%description
Perl extension for managing Search Engine Sitemaps 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 2.130.0-12.mga9
+ Revision: 1810187
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.130.0-11.mga8
+ Revision: 1506174
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 2.130.0-10.mga7
+ Revision: 1285984
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 2.130.0-9.mga7
+ Revision: 1166425
- rebuild with fixed rpm for missing autodeps

* Thu Sep 28 2017 tv <tv> 2.130.0-8.mga7
+ Revision: 1160806
- add BR on perl(XML::Parser)
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 2.130.0-7.mga6
+ Revision: 1033022
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 2.130.0-6.mga6
+ Revision: 947394
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.130.0-5.mga5
+ Revision: 747993
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.130.0-4.mga5
+ Revision: 686182
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.130.0-3.mga4
+ Revision: 514603
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.130.0-2.mga3
+ Revision: 372558
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ kharec <kharec>
- update to 2.13

* Wed Feb 23 2011 dmorgan <dmorgan> 2.100.0-1.mga1
+ Revision: 57188
- More buildrequires
- imported package perl-Search-Sitemap

